Bug 142436 - Linked background image is not read
Summary: Linked background image is not read
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.3.0 target:7.2.1 target:7.1.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Regressions-imageHandling
  Show dependency treegraph
 
Reported: 2021-05-22 18:18 UTC by Regina Henschel
Modified: 2021-08-16 09:12 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2021-05-22 18:18:36 UTC
Open file "ImageBackgroundexternalImage.odp" in the zip-container of attachment https://bugs.documentfoundation.org/attachment.cgi?id=135834

It has a linked background image. Opening in current versions do not show the image, opening in LibreOffice 5.4 shows the image.

The fact, that it is no longer possible to create new files with linked background-images is covered by bug 90273. Nevertheless, for existing documents, the image should be shown.

Good in Version: 5.4.7.2 (x64)
Build ID: c838ef25c16710f8838b1faec480ebba495259d0
CPU threads: 8; OS: Windows 6.19; UI render: default; 
Locale: de-DE (en_US); Calc: CL

Fails in Version: 6.4.5.0.0+ (x64)
Build ID: 70a2071ce91b71326659e645dd97996262ea309a
CPU threads: 8; OS: Windows 10.0 Build 19041; UI render: GL; VCL: win; 
Locale: de-DE (en_US); UI-Language: en-US
Calc: threaded
Comment 1 raal 2021-06-09 05:08:47 UTC
Confirm with Version: 7.2.0.0.alpha1+ / LibreOffice Community
Build ID: ec629c5ee22d02f99d66a5cf975ce239876b7f4d
CPU threads: 4; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded
Comment 2 raal 2021-06-09 05:16:54 UTC
This seems to have begun at the below commit.
Adding Cc: to Tomaž Vajngerl;  Could you possibly take a look at this one?
Thanks
bibisect-linux-64-6.1$ 35a2408e0997d0f5358c30e8af1e60a8ac2bdb1e is the first bad commit
commit 35a2408e0997d0f5358c30e8af1e60a8ac2bdb1e
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Mon Apr 16 03:05:46 2018 +0200

    source sha:9fb7aaf570c03c8a26d763f1205fb8c890e8211a

https://git.libreoffice.org/core/+/9fb7aaf570c03c8a26d763f1205fb8c890e8211a
   Make linked graphic register into LinkedManager again
Comment 3 Commit Notification 2021-08-03 13:01:11 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c88ff9298b25132fc34102230cef0263f045a523

tdf#142436 svx: fix handling of linked background images

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-08-06 23:03:22 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/b68472285854ace9a1d667c166c623b98bebf846

tdf#142436 svx: fix handling of linked background images

It will be available in 7.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-08-09 13:20:07 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/7a5f12ea03e72749b2d3ccc99ed72edc3ff22d4b

tdf#142436 svx: fix handling of linked background images

It will be available in 7.1.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.